import { InteractionType, PvjsonNode, PvjsonEdge, GraphicalLineType, GPMLElement } from "../gpml2pvjson";
export declare const DEFAULT_STUB_LENGTH = 20;
/**
 * preprocessGPML
 *
 * @param edge {GPMLEdge}
 * @return {GPMLEdge}
 */
export declare function preprocessGPML(Edge: InteractionType | GraphicalLineType): GPMLElement;
/**
 * postprocessPVJSON
 *
 * @param referencedEntities
 * @param pvjsonEdge {pvjsonEdge}
 * @return {pvjsonEdge}
 */
export declare function postprocessPVJSON(referencedEntities: {
    [key: string]: (PvjsonNode | PvjsonEdge);
}, pvjsonEdge: PvjsonEdge): PvjsonEdge;
