/// <reference types="node" />
import "source-map-support/register";
export interface GenericCXMLChildConstructor {
    new (): GenericCXMLChildConstructor;
}
export interface GenericCXMLChild {
    constructor: GenericCXMLChildConstructor;
}
export interface GenericCXMLConstructor {
    new (): GenericCXMLConstructor;
}
export interface GenericCXML {
    constructor: GenericCXMLConstructor;
    GenericCXMLChild: GenericCXMLChild;
    document: {
        _exists: boolean;
        _namespace: string;
    };
}
export declare class CXMLXPath<T extends GenericCXML, K extends keyof T> {
    _parser: any;
    _schema: T;
    _inputStream: NodeJS.ReadableStream;
    constructor(inputStream: any, schema: any, xpathNamespaceTbl?: Record<string, string>);
    parse<SelectorToCXMLType, Selector extends keyof SelectorToCXMLType>(selectorToCXML: SelectorToCXMLType): { [P in keyof SelectorToCXMLType]: Highland.Stream<SelectorToCXMLType[P]>; };
}
