import * as Primitive from '../../xml-primitives';
import * as rdf from '../../www.w3.org/1999/02/22-rdf-syntax-ns';

// Source files:
// file:///Users/andersriutta/Documents/gpml2pvjson-js/node_modules/@wikipathways/gpml/GPML2013a-BioPAX.xsd


interface BaseType {
	_exists: boolean;
	_namespace: string;
}
interface _IntegerElementType extends Primitive._number {
	datatype?: string;
}
export interface IntegerElementType extends _IntegerElementType { constructor: { new(): IntegerElementType }; }
export var IntegerElementType: { new(): IntegerElementType };

interface _OpenControlledVocabularyType extends BaseType {
	ID: string;
	Ontology: string;
	TERM: string;
}
export interface OpenControlledVocabularyType extends _OpenControlledVocabularyType { constructor: { new(): OpenControlledVocabularyType }; }
export var OpenControlledVocabularyType: { new(): OpenControlledVocabularyType };

type OpenControlledVocabularyTypeIDType = string;
type _OpenControlledVocabularyTypeIDType = Primitive._string;

type OpenControlledVocabularyTypeOntologyType = string;
type _OpenControlledVocabularyTypeOntologyType = Primitive._string;

type OpenControlledVocabularyTypeTERMType = string;
type _OpenControlledVocabularyTypeTERMType = Primitive._string;

interface _PublicationXrefType extends BaseType {
	$ID: string;
	AUTHORS: StringElementType[];
	DB: StringElementType;
	ID: StringElementType;
	SOURCE: StringElementType;
	TITLE: StringElementType;
	YEAR: IntegerElementType;
}
export interface PublicationXrefType extends _PublicationXrefType { constructor: { new(): PublicationXrefType }; }
export var PublicationXrefType: { new(): PublicationXrefType };

interface _StringElementType extends Primitive._string {
	datatype?: string;
}
export interface StringElementType extends _StringElementType { constructor: { new(): StringElementType }; }
export var StringElementType: { new(): StringElementType };

export interface document extends BaseType {
	openControlledVocabulary: OpenControlledVocabularyType;
	PublicationXref: PublicationXrefType;
}
export var document: document;
