export declare const Pathway: {
    BoardHeight: number;
    Name: string;
};
export declare const DataNode: {
    Type: string;
    Graphics: any;
};
export declare const Group: {
    Graphics: {
        Align: string;
        Color: string;
        Valign: string;
        FontSize: number;
        FontWeight: string;
        LineThickness: number;
        FillOpacity: number;
    };
    Style: string;
};
export declare const Anchor: {
    Shape: string;
    Graphics: {
        LineThickness: number;
    };
};
export declare const GPMLEdge: {
    Graphics: {
        Color: string;
        LineStyle: string;
        ConnectorType: string;
        FillColor: string;
        LineThickness: number;
    };
};
export declare const GraphicalLine: {
    Graphics: {
        Color: string;
        LineStyle: string;
        ConnectorType: string;
        FillColor: string;
        LineThickness: number;
    };
};
export declare const Interaction: {
    Graphics: {
        Color: string;
        LineStyle: string;
        ConnectorType: string;
        FillColor: string;
        LineThickness: number;
    };
};
export declare const Label: {
    Graphics: any;
};
export declare const Shape: {
    Graphics: any;
};
export declare const State: {
    StateType: string;
    Graphics: any;
};
