import { Point, PvjsonNode, PvjsonSingleFreeNode, PvjsonBurr, PvjsonEdge, PvjsonGroup, PvjsonEntity, AttachablePoint } from "./gpml2pvjson";
export * from "./geom-utils";
export * from "./spinoffs/jsonld-utils";
export { arrayify, getValuesLSV, intersectsLSV, unionLSV } from "./spinoffs/jsonld-utils";
export declare function generatePublicationXrefId(originalId: string): string;
export declare const insertIfNotExists: any;
export declare function isAttachablePoint(pvjsonPoint: Point | AttachablePoint): pvjsonPoint is AttachablePoint;
export declare function isDefinedCXML(x: any): boolean;
export declare function isPvjsonBurr(entity: PvjsonEntity): entity is PvjsonBurr;
export declare function isPvjsonGroup(entity: PvjsonEntity): entity is PvjsonGroup;
export declare function isPvjsonSingleFreeNode(entity: PvjsonEntity): entity is PvjsonSingleFreeNode;
export declare function isPvjsonNode(entity: PvjsonEntity): entity is PvjsonNode;
export declare function isPvjsonEdge(entity: PvjsonEntity): entity is PvjsonEdge;
export declare function isPvjsonEdgeOrBurr(entity: PvjsonEntity): entity is PvjsonEdge | PvjsonBurr;
export declare function isGPMLAnchor(entity: PvjsonEntity): entity is PvjsonBurr;
export declare const sortByMap: any;
export declare const supportedNamespaces: string[];
