var cxml = require("@wikipathways/cxml");
var Primitive = require('../../xml-primitives');
var bp = require('../../www.biopax.org/release/biopax-level3.owl');

cxml.register('http://pathvisio.org/GPML/2013a', exports, [
	[Primitive, ['number', 'string'], []],
	[bp, ['OpenControlledVocabularyType', 'PublicationXrefType'], ['PublicationXref', 'openControlledVocabulary']]
], [
	'BiopaxType',
	'ColorType',
	'DataNodeType',
	'Dimension',
	'EdgeGraphicsType',
	'GraphicalLineType',
	'GroupType',
	'InfoBoxType',
	'InteractionType',
	'LabelType',
	'LegendType',
	'RotationType',
	'ShapeType',
	'StateType',
	'StyleType'
], [
	[0, 0, [[51, 0]], []],
	[0, 0, [[2, 3], [1, 3]], []],
	[3, 2, [], []],
	[0, 0, [[83, 3], [85, 3], [90, 3], [103, 0], [118, 3], [127, 0]], [[24, 1], [37, 1], [66, 0], [122, 0]]],
	[3, 1, [], []],
	[0, 0, [[82, 3], [117, 2]], [[88, 0], [11, 1], [116, 0], [46, 0], [76, 1]]],
	[0, 0, [[83, 3], [85, 3], [90, 3], [105, 0], [118, 3]], [[21, 1], [36, 1], [71, 1]]],
	[0, 0, [[83, 3], [85, 3], [90, 3], [118, 3]], [[27, 1], [31, 0], [35, 1], [64, 0], [69, 1]]],
	[0, 0, [], [[6, 0], [9, 0]]],
	[0, 0, [[83, 3], [85, 3], [90, 3], [106, 0], [118, 3], [128, 0]], [[23, 1], [34, 1], [70, 1]]],
	[0, 0, [[83, 3], [85, 3], [90, 3], [107, 0], [118, 3]], [[28, 1], [32, 1], [38, 1], [65, 0]]],
	[0, 0, [], [[7, 0], [10, 0]]],
	[3, 2, [], []],
	[0, 0, [[83, 3], [85, 3], [90, 3], [104, 0], [118, 3]], [[20, 1], [33, 1], [67, 1]]],
	[0, 0, [[83, 3], [85, 3], [90, 3], [101, 0], [118, 3], [126, 1]], [[26, 1], [29, 1], [63, 0], [68, 0]]],
	[3, 2, [], []],
	[3, 2, [], []],
	[0, 0, [], [[43, 0], [72, 0]]],
	[3, 2, [], []],
	[1, 2, [], [[62, 0]]],
	[0, 0, [], [[81, 0], [5, 0], [8, 0], [89, 0], [95, 0], [96, 0], [18, 0], [19, 0], [97, 0], [98, 0], [99, 0], [109, 0], [115, 0], [47, 0], [61, 0], [123, 0], [124, 0], [80, 1]]],
	[3, 2, [], []],
	[0, 0, [], [[15, 0], [39, 0]]],
	[0, 0, [], [[22, 1], [52, 0], [57, 0]]],
	[0, 0, [], [[3, 0], [25, 1], [30, 1], [54, 1], [55, 1], [74, 0], [75, 0]]],
	[3, 2, [], []],
	[3, 2, [], []],
	[3, 2, [], []],
	[3, 2, [], []],
	[0, 0, [], [[14, 0], [40, 0]]],
	[0, 0, [], [[81, 0], [5, 0], [8, 0], [89, 0], [92, 0], [96, 0], [18, 0], [19, 0], [97, 0], [98, 0], [99, 0], [109, 0], [115, 0], [47, 0], [59, 0], [123, 0], [124, 0], [79, 1]]],
	[0, 0, [[83, 3], [84, 1], [85, 3], [90, 3], [91, 3], [100, 3], [102, 1], [108, 3], [111, 0], [112, 3], [113, 3], [114, 1], [118, 3], [120, 3], [121, 3]], [[4, 1], [12, 1], [17, 1], [44, 1], [45, 1], [48, 1], [49, 0], [50, 1], [73, 1]]],
	[0, 0, [], [[86, 0], [87, 0]]],
	[0, 0, [], [[16, 0], [41, 0]]],
	[0, 0, [], [[81, 0], [5, 0], [8, 0], [89, 0], [94, 0], [96, 0], [18, 0], [19, 0], [97, 0], [98, 0], [99, 0], [109, 0], [115, 0], [47, 0], [119, 0], [60, 0], [123, 0], [124, 0], [78, 1]]],
	[0, 0, [], [[89, 0], [93, 0], [110, 0], [115, 0], [47, 0], [53, 0], [56, 0], [58, 0], [125, 0], [77, 1]]],
	[0, 0, [], [[13, 0], [42, 0]]],
	[3, 2, [], []]
], [
	['ArrowHead', [2], 0],
	['Author', [2], 0],
	['CenterX', [1], 0],
	['CenterX', [1], 0],
	['CenterX', [1], 0],
	['CenterY', [1], 0],
	['CenterY', [1], 0],
	['CenterY', [1], 0],
	['ConnectorType', [2], 0],
	['DataSource:Data-Source', [2], 0],
	['Database', [2], 0],
	['Database', [2], 0],
	['Database', [2], 0],
	['Database', [2], 0],
	['Email', [2], 0],
	['FontName', [2], 0],
	['FontSize', [1], 0],
	['GraphId', [2], 0],
	['GraphId', [2], 0],
	['GraphId', [2], 0],
	['GraphId', [2], 0],
	['GraphId', [2], 0],
	['GraphId', [2], 0],
	['GraphId', [2], 0],
	['GraphId', [2], 0],
	['GraphId', [2], 0],
	['GraphRef', [2], 0],
	['GraphRef', [2], 0],
	['GroupId', [2], 0],
	['GroupRef', [2], 0],
	['GroupRef', [2], 0],
	['GroupRef', [2], 0],
	['GroupRef', [2], 0],
	['GroupRef', [2], 0],
	['GroupRef', [2], 0],
	['Href', [2], 0],
	['ID', [2], 0],
	['ID', [2], 0],
	['ID', [2], 0],
	['ID', [2], 0],
	['Key', [2], 0],
	['LastModified:Last-Modified', [2], 0],
	['License', [2], 0],
	['LineThickness', [1], 0],
	['LineThickness', [1], 0],
	['Maintainer', [2], 0],
	['Name', [2], 0],
	['Organism', [2], 0],
	['Pathway', [35], 0],
	['Position', [1], 0],
	['RelX', [1], 0],
	['RelX', [1], 0],
	['RelY', [1], 0],
	['RelY', [1], 0],
	['Shape', [2], 0],
	['ShapeType', [2], 0],
	['ShapeType', [2], 0],
	['ShapeType', [2], 0],
	['ShapeType', [2], 0],
	['Source', [2], 0],
	['StateType', [2], 0],
	['Style', [2], 0],
	['TextLabel', [2], 0],
	['TextLabel', [2], 0],
	['TextLabel', [2], 0],
	['TextLabel', [2], 0],
	['TextLabel', [2], 0],
	['Type', [2], 0],
	['Type', [2], 0],
	['Value', [2], 0],
	['Version', [2], 0],
	['X', [1], 0],
	['Y', [1], 0],
	['ZOrder', [1], 0],
	['ZOrder', [1], 0],
	['ZOrder', [1], 0],
	['ZOrder', [1], 0],
	['ZOrder', [1], 0],
	['Align', [20], 0],
	['Anchor', [27], 0],
	['Attribute', [21], 0],
	['Biopax', [5], 0],
	['BiopaxRef', [22], 0],
	['BoardHeight', [8], 0],
	['BoardWidth', [8], 0],
	['Color', [6], 0],
	['Color', [6], 0],
	['Comment', [23], 0],
	['DataNode', [7], 0],
	['FillColor', [6], 0],
	['FillColor', [6], 0],
	['FillColor', [6], 0],
	['FillColor', [6], 0],
	['FontDecoration', [29], 0],
	['FontStrikethru', [30], 0],
	['FontStyle', [31], 0],
	['FontWeight', [32], 0],
	['GraphicalLine', [10], 0],
	['Graphics', [39], 0],
	['Graphics', [36], 0],
	['Graphics', [24], 0],
	['Graphics', [38], 0],
	['Graphics', [9], 0],
	['Graphics', [9], 0],
	['Graphics', [34], 0],
	['Group', [11], 0],
	['Height', [8], 0],
	['Height', [8], 0],
	['InfoBox', [12], 0],
	['Interaction', [13], 0],
	['Label', [14], 0],
	['Legend', [15], 0],
	['LineStyle', [19], 0],
	['LineStyle', [19], 0],
	['Point', [28], 0],
	['PublicationXref', [37], 0],
	['Rotation', [16], 0],
	['Shape', [17], 0],
	['State', [18], 0],
	['Type', [25], 0],
	['Valign', [41], 0],
	['Width', [8], 0],
	['Width', [8], 0],
	['Xref', [40], 0],
	['Xref', [26], 0],
	['Xref', [33], 0]
]);