import * as Primitive from '../../../xml-primitives';

// Source files:
// file:///Users/andersriutta/Documents/gpml2pvjson-js/node_modules/@wikipathways/gpml/rdf.xsd
// file:///Users/andersriutta/Documents/gpml2pvjson-js/node_modules/@wikipathways/gpml/rdf.xsd


interface BaseType {
	_exists: boolean;
	_namespace: string;
}
/** this is a "union type"; use
  * xsi:type in the instance to discriminate between concrete subtypes.
  * @@hmm... can I mark this as "abstract" somehow? */
interface _item extends BaseType {}
export interface item extends _item { constructor: { new(): item }; }
export var item: { new(): item };

/** this is a "union type"; use
  * xsi:type in the instance to discriminate between concrete subtypes.
  * @@hmm... can I mark this as "abstract" somehow? */
interface _item_2 extends BaseType {}
export interface item_2 extends _item_2 { constructor: { new(): item_2 }; }
export var item_2: { new(): item_2 };

interface _members extends BaseType {
	ID?: string;
	li: item_2[];
}
export interface members extends _members { constructor: { new(): members }; }
export var members: { new(): members };

interface _members_2 extends BaseType {
	ID?: string;
	li: item_2[];
}
export interface members_2 extends _members_2 { constructor: { new(): members_2 }; }
export var members_2: { new(): members_2 };

interface _propertyEltLiteral extends BaseType {
	ID?: string;
}
export interface propertyEltLiteral extends _propertyEltLiteral { constructor: { new(): propertyEltLiteral }; }
export var propertyEltLiteral: { new(): propertyEltLiteral };

interface _propertyEltLiteral_2 extends BaseType {
	ID?: string;
}
export interface propertyEltLiteral_2 extends _propertyEltLiteral_2 { constructor: { new(): propertyEltLiteral_2 }; }
export var propertyEltLiteral_2: { new(): propertyEltLiteral_2 };

interface _PropertyEltProxyType extends BaseType {}
interface PropertyEltProxyType extends _PropertyEltProxyType { constructor: { new(): PropertyEltProxyType }; }

interface _PropertyEltProxyType_2 extends BaseType {}
interface PropertyEltProxyType_2 extends _PropertyEltProxyType_2 { constructor: { new(): PropertyEltProxyType_2 }; }

interface _propertyEltRef extends BaseType {
	ID?: string;
	resource?: string[];
}
export interface propertyEltRef extends _propertyEltRef { constructor: { new(): propertyEltRef }; }
export var propertyEltRef: { new(): propertyEltRef };

interface _propertyEltRef_2 extends BaseType {
	ID?: string;
	resource?: string[];
}
export interface propertyEltRef_2 extends _propertyEltRef_2 { constructor: { new(): propertyEltRef_2 }; }
export var propertyEltRef_2: { new(): propertyEltRef_2 };

interface _propertyEltResource extends BaseType {
	propertyElt: PropertyEltProxyType_2[];
}
export interface propertyEltResource extends _propertyEltResource { constructor: { new(): propertyEltResource }; }
export var propertyEltResource: { new(): propertyEltResource };

interface _propertyEltResource_2 extends BaseType {
	propertyElt: PropertyEltProxyType_2[];
}
export interface propertyEltResource_2 extends _propertyEltResource_2 { constructor: { new(): propertyEltResource_2 }; }
export var propertyEltResource_2: { new(): propertyEltResource_2 };

/** this is a "union type"; use
  * xsi:type in the instance to discriminate between concrete subtypes */
interface _propertyEltType extends BaseType {}
export interface propertyEltType extends _propertyEltType { constructor: { new(): propertyEltType }; }
export var propertyEltType: { new(): propertyEltType };

/** this is a "union type"; use
  * xsi:type in the instance to discriminate between concrete subtypes */
interface _propertyEltType_2 extends BaseType {}
export interface propertyEltType_2 extends _propertyEltType_2 { constructor: { new(): propertyEltType_2 }; }
export var propertyEltType_2: { new(): propertyEltType_2 };

interface _propertyEltValue extends BaseType {
	ID?: string;
}
export interface propertyEltValue extends _propertyEltValue { constructor: { new(): propertyEltValue }; }
export var propertyEltValue: { new(): propertyEltValue };

interface _propertyEltValue_2 extends BaseType {
	ID?: string;
}
export interface propertyEltValue_2 extends _propertyEltValue_2 { constructor: { new(): propertyEltValue_2 }; }
export var propertyEltValue_2: { new(): propertyEltValue_2 };

interface _RDFType extends BaseType {
	Alt: members[];
	Bag: members[];
	Seq: members[];
	typedNode: TypedNodeProxyType[];
}
interface RDFType extends _RDFType { constructor: { new(): RDFType }; }

interface _referencedItem extends BaseType {
	resource?: string[];
}
export interface referencedItem extends _referencedItem { constructor: { new(): referencedItem }; }
export var referencedItem: { new(): referencedItem };

interface _referencedItem_2 extends BaseType {
	resource?: string[];
}
export interface referencedItem_2 extends _referencedItem_2 { constructor: { new(): referencedItem_2 }; }
export var referencedItem_2: { new(): referencedItem_2 };

interface _TypedNodeProxyType extends BaseType {}
interface TypedNodeProxyType extends _TypedNodeProxyType { constructor: { new(): TypedNodeProxyType }; }

interface _TypedNodeProxyType_2 extends BaseType {}
interface TypedNodeProxyType_2 extends _TypedNodeProxyType_2 { constructor: { new(): TypedNodeProxyType_2 }; }

interface _typedNodeType extends BaseType {
	about?: string[];
	ID?: string;
	propertyElt: PropertyEltProxyType_2[];
}
export interface typedNodeType extends _typedNodeType { constructor: { new(): typedNodeType }; }
export var typedNodeType: { new(): typedNodeType };

interface _typedNodeType_2 extends BaseType {
	about?: string[];
	ID?: string;
	propertyElt: PropertyEltProxyType_2[];
}
export interface typedNodeType_2 extends _typedNodeType_2 { constructor: { new(): typedNodeType_2 }; }
export var typedNodeType_2: { new(): typedNodeType_2 };

interface _value extends BaseType {}
export interface value extends _value { constructor: { new(): value }; }
export var value: { new(): value };

interface _value_2 extends BaseType {}
export interface value_2 extends _value_2 { constructor: { new(): value_2 }; }
export var value_2: { new(): value_2 };

interface _valueObj extends _TypedNodeProxyType {
	Alt: members;
	Bag: members;
	Seq: members;
}
export interface valueObj extends _valueObj { constructor: { new(): valueObj }; }
export var valueObj: { new(): valueObj };

interface _valueObj_2 extends _TypedNodeProxyType {
	Alt: members;
	Bag: members;
	Seq: members;
}
export interface valueObj_2 extends _valueObj_2 { constructor: { new(): valueObj_2 }; }
export var valueObj_2: { new(): valueObj_2 };

interface _valueString extends BaseType {}
export interface valueString extends _valueString { constructor: { new(): valueString }; }
export var valueString: { new(): valueString };

interface _valueString_2 extends BaseType {}
export interface valueString_2 extends _valueString_2 { constructor: { new(): valueString_2 }; }
export var valueString_2: { new(): valueString_2 };

export interface document extends BaseType {
	Alt: members[];
	Bag: members[];
	Description: typedNodeType[];
	object: propertyEltRef_2[];
	predicate: propertyEltRef_2[];
	Property: typedNodeType[];
	RDF: RDFType[];
	Seq: members[];
	Statement: typedNodeType[];
	subject: propertyEltRef_2[];
	type: propertyEltRef_2[];
	value: valueString[];
}
export var document: document;
